org.codehaus.groovy.tools.javac

## Class JavaStubGenerator

- java.lang.Object
- - org.codehaus.groovy.tools.javac.JavaStubGenerator

-     public class JavaStubGenerator
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaStubGenerator(java.io.File outputPath)`
    `JavaStubGenerator(java.io.File outputPath, boolean requireSuperResolved, boolean java5, java.lang.String encoding)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clean()`
    `void` | `generateClass(ClassNode classNode)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaStubGenerator

          public JavaStubGenerator(java.io.File outputPath,
                                   boolean requireSuperResolved,
                                   boolean java5,
                                   java.lang.String encoding)

    - #### JavaStubGenerator

          public JavaStubGenerator(java.io.File outputPath)

  - ### Method Detail

    - #### generateClass

          public void generateClass(ClassNode classNode)
                             throws java.io.FileNotFoundException

      Throws:
        `java.io.FileNotFoundException`

    - #### clean

          public void clean()